<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sign Up Form</title>

    <!-- Font Icon -->
    <link rel="stylesheet" href="../../Content/fonts/material-icon/css/material-design-iconic-font.min.css">

    <!-- Main css -->
    <link rel="stylesheet" href="../../Content/css/style.css">
</head>
<body style="background-color: #EFEFEF; " >
 		
 		<!-- Sign up form -->
        <section class="signup">
            <div class="container">
                <div class="signup-content">
                    <div class="signup-form">
                        <h2 class="form-title">Sign up</h2>
                        <form action="/register" method="POST" class="register-form" id="register-form" th:object="${user}">
                            <div class="form-group">
                                <label for="userName"><i class="zmdi zmdi-account material-icons-name"></i></label>
                                <input type="text" name="userName" id="userName" placeholder="Your Name" th:field="*{userName}"/>
                            </div>
                            <div class="form-group" th:if="${#fields.hasErrors('userName')}" 
                            		style="overflow: visible; height: 10px; ">
                            	<label th:errors="*{userName}" 
                            			style="color: red; " ></label>
                            </div>
                            <div class="form-group">
                                <label for="email"><i class="zmdi zmdi-email"></i></label>
                                <input type="email" name="email" id="email" placeholder="Your Email" th:field="*{email}"/>
                            </div>
                            <div class="form-group" th:if="${#fields.hasErrors('email')}" 
                            		style="overflow: visible;  height: 10px; ">
                               	<label th:errors="*{email}" 
                               			style="color: red; " ></label>
                            </div>
                            <div class="form-group">
                                <label for="password"><i class="zmdi zmdi-lock"></i></label>
                                <input type="password" name="password" id="password" placeholder="Password" th:field="*{password}"/>
                          	</div>
                            <div class="form-group" th:if="${#fields.hasErrors('password')}" 
                            		style="overflow: visible;  height: 10px; ">
                          		<label th:errors="*{password}" 
                          				style="color: red; " ></label>
                            </div>
                            <div class="form-group">
                                <label for="passwordConfirm"><i class="zmdi zmdi-lock-outline"></i></label>
                                <input type="password" name="passwordConfirm" id="passwordConfirm" 
                                		placeholder="Repeat your password" th:field="*{passwordConfirm}"/>
                       		</div>
                            <div class="form-group" th:if="${#fields.hasErrors('passwordConfirm')}" 
                            		style="overflow: visible; height: 10px; ">
                       		    <label th:errors="*{passwordConfirm}" 
                       		    		style="color: red; " ></label>
                            </div>
                            <div class="form-group form-button">
                                <input type="submit" name="signup" id="signup" class="form-submit" value="Register"/>
                            </div>
                        </form>
                    </div>
                    <div class="signup-image">
                        <figure><img src="../../Images/images/signup-image.jpg" alt="sing up image"></figure>
                    </div>
                </div>
            </div>
        </section>

</body>

<!-- JS -->
<script src="../../Content/vendor/jquery/jquery.min.js"></script>
<script src="../../Scripts/js/main.js"></script>

</html>